GreatWksSSParserInternal::State Struct Reference

Internal: the state of a GreatWksSSParser. More...

## Public Member Functions

| State ()
| constructor
Style | getStyle (int id) const
| returns the style corresponding to an id

## Public Attributes

Spreadsheet | m_spreadsheet
| the spreadsheet
std::vector< Style > | m_styleList
| the list of style
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
MWAWEntry | m_headerEntry
| the header entry (in v2)
MWAWEntry | m_footerEntry
| the footer entry (in v2)
bool | m_headerPrint
| the header is printed
bool | m_footerPrint
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a GreatWksSSParser.

## Constructor & Destructor Documentation

## State()

GreatWksSSParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getStyle()

Style GreatWksSSParserInternal::State::getStyle | ( | int | id | ) | const

inline

returns the style corresponding to an id

## Member Data Documentation

## m_actPage

int GreatWksSSParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_footerEntry

MWAWEntry GreatWksSSParserInternal::State::m_footerEntry

the footer entry (in v2)

Referenced by State().

## m_footerHeight

int GreatWksSSParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_footerPrint

bool GreatWksSSParserInternal::State::m_footerPrint

Referenced by State().

## m_headerEntry

MWAWEntry GreatWksSSParserInternal::State::m_headerEntry

the header entry (in v2)

Referenced by State().

## m_headerHeight

int GreatWksSSParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_headerPrint

bool GreatWksSSParserInternal::State::m_headerPrint

the header is printed

Referenced by State().

## m_numPages

int GreatWksSSParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_spreadsheet

Spreadsheet GreatWksSSParserInternal::State::m_spreadsheet

the spreadsheet

Referenced by State().

## m_styleList

std::vector<Style> GreatWksSSParserInternal::State::m_styleList

the list of style

Referenced by getStyle(), and State().

The documentation for this struct was generated from the following file:

- GreatWksSSParser.cxx